CVE-2010-2953

NameCVE-2010-2953
DescriptionUntrusted search path vulnerability in a certain Debian GNU/Linux patch for the couchdb script in CouchDB 0.8.0 allows local users to gain privileges via a crafted shared library in the current working directory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2107-1
NVD severitymedium (attack range: local)
Debian Bugs594412

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
couchdb (PTS)wheezy1.2.0-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
couchdbsource(unstable)0.11.0-1low594412
couchdbsourcelenny0.8.0-2+lenny1mediumDSA-2107-1

Search for package or bug name: Reporting problems